Index: uspace/doc/doxygroups.h
===================================================================
--- uspace/doc/doxygroups.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -3,165 +3,32 @@
 
 /**
- * @defgroup srvcs HelenOS Services
+ * @defgroup uspace Userspace
+ * @brief All HelenOS userspace code
+ */
+
+/**
+ * @defgroup apps HelenOS applications
  * @ingroup uspace
  */
 
 /**
- *     @defgroup ns Naming Service
- *     @ingroup srvcs
- */
-
-/**
- *     @defgroup kbd Keyboard Service
- *     @ingroup srvcs
- */
-
-/**
- *     @defgroup fbs Framebuffer Service
- *     @ingroup srvcs
- */
-
-/**
- *     @defgroup console Console Service
- *     @ingroup srvcs
- */
-
-/**
- *     @defgroup net Networking Stack
- *     @ingroup srvcs
- */
-
-/**
- *         @defgroup nic Network interface controllers
- *         @ingroup net
- */
-
-/**
- *             @defgroup libnic Base NIC framework library
- *             @ingroup nic
- */
-
-/**
- *             @defgroup nic_drivers Drivers using the NICF
- *             @ingroup nic
- */
-
-/**
- *         @defgroup net_nil Network interface layer
- *         @ingroup net
- */
-
-/**
- *             @defgroup eth Ethernet (IEEE 802.3) network interface layer Service
- *             @ingroup net_nil
- */
-
-/**
- *             @defgroup nildummy Dummy network interface layer Service
- *             @ingroup net_nil
- */
-
-/**
- *         @defgroup net_il Inter-networking layer
- *         @ingroup net
- */
-
-/**
- *             @defgroup arp Address Resolution Protocol (ARP) Service
- *             @ingroup net_il
- */
-
-/**
- *             @defgroup ip Internet Protocol (IP) Service
- *             @ingroup net_il
- */
-
-/**
- *         @defgroup net_tl Transport layer
- *         @ingroup net
- */
-
-/**
- *             @defgroup icmp Internet Control Message Protocol (ICMP) Service
- *             @ingroup net_tl
- */
-
-/**
- *             @defgroup udp User Datagram Protocol (UDP) Service
- *             @ingroup net_tl
- */
-
-/**
- *             @defgroup tcp Transmission Control Protocol (TCP) Service
- *             @ingroup net_tl
- */
-
-/**
- *         @defgroup packet Packet management system
- *         @ingroup net
- */
-
-/**
- *         @defgroup net_app Applications
- *         @ingroup net
- */
-
-/**
- *             @defgroup echo Echo Service
- *             @ingroup net_app
- */
-
-/**
- *             @defgroup ping Ping
- *             @ingroup net_app
- */
-
-/**
- *             @defgroup nettest Networking tests
- *             @ingroup net_app
- */
-
-/**
- *         @defgroup net_lib Application library
- *         @ingroup net
- */
-
-/**
- *             @defgroup socket Sockets
- *             @ingroup net_lib
- */
-
-/**
- *             @defgroup netdb Netdb
- *             @ingroup net_lib
- */
-
-/**
- *     @cond amd64
- *     @defgroup pci PCI Service
- *     @ingroup srvcs
- *     @endcond
- */
-
-/**
- *     @cond ia32
- *     @defgroup pci PCI Service
- *     @ingroup srvcs
- *     @endcond
- */
-
-/**
- * @defgroup emul Emulation Libraries
+ * @defgroup drvs HelenOS drivers
+ * @brief HelenOS device drivers using the DDF framework
  * @ingroup uspace
  */
 
 /**
- *     @defgroup sfl Softloat
- *     @ingroup emul
+ * @defgroup libs HelenOS libraries
+ * @ingroup uspace
  */
 
 /**
- *     @defgroup softint Softint
- *     @ingroup emul
+ * @defgroup srvs HelenOS services
+ * @ingroup uspace
+ */
+
+
+/*
+ * SPECIAL COMPOSITIONS
  */
 
@@ -171,4 +38,5 @@
  * @brief USB support for HelenOS.
  */
+
 /**
  *     @defgroup libusb Base USB library
Index: uspace/drv/bus/isa/doc/doxygroups.h
===================================================================
--- uspace/drv/bus/isa/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/bus/isa/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup isa isa
+ * @brief ISA bus driver
+ * @ingroup drvs
+ */
Index: uspace/drv/bus/isa/isa.c
===================================================================
--- uspace/drv/bus/isa/isa.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/bus/isa/isa.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -30,6 +30,5 @@
 
 /**
- * @defgroup isa ISA bus driver.
- * @brief HelenOS ISA bus driver.
+ * @addtogroup isa
  * @{
  */
Index: uspace/drv/bus/pci/pciintel/doc/doxygroups.h
===================================================================
--- uspace/drv/bus/pci/pciintel/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/bus/pci/pciintel/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup pciintel pciintel
+ * @brief PCI bus driver
+ * @ingroup drvs
+ */
Index: uspace/drv/bus/pci/pciintel/pci.c
===================================================================
--- uspace/drv/bus/pci/pciintel/pci.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/bus/pci/pciintel/pci.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup pciintel pci bus driver for intel method 1.
- * @brief HelenOS root pci bus driver for intel method 1.
+ * @addtogroup pciintel
  * @{
  */
Index: uspace/drv/char/ns8250/doc/doxygroups.h
===================================================================
--- uspace/drv/char/ns8250/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/char/ns8250/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup ns8250 ns8250
+ * @brief NS 8250 UART driver
+ * @ingroup drvs
+ */
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/char/ns8250/ns8250.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup ns8250 Serial port driver.
- * @brief HelenOS serial port driver.
+ * @addtogroup ns8250
  * @{
  */
Index: uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c
===================================================================
--- uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37x
+/** @addtogroup amdm37x_dispc
  * @{
  */
@@ -347,2 +347,6 @@
 	return EOK;
 }
+
+/**
+ * @}
+ */
Index: uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.h
===================================================================
--- uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/fb/amdm37x_dispc/amdm37x_dispc.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup kgraph
+/** @addtogroup amdm73x_dispc
  * @{
  */
Index: uspace/drv/fb/amdm37x_dispc/amdm37x_dispc_regs.h
===================================================================
--- uspace/drv/fb/amdm37x_dispc/amdm37x_dispc_regs.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/fb/amdm37x_dispc/amdm37x_dispc_regs.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup amdm37x_dispc
  * @{
  */
Index: uspace/drv/fb/amdm37x_dispc/doc/doxygroups.h
===================================================================
--- uspace/drv/fb/amdm37x_dispc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/fb/amdm37x_dispc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup amdm37x_dispc amdm37x_dispc
+ * @brief TI AM/DM37x framebuffer driver
+ * @ingroup drvs
+ */
Index: uspace/drv/fb/amdm37x_dispc/main.c
===================================================================
--- uspace/drv/fb/amdm37x_dispc/main.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/fb/amdm37x_dispc/main.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup amdm37x
+/** @addtogroup amdm37x_dispc
  * @{
  */
Index: uspace/drv/platform/amdm37x/amdm37x.c
===================================================================
--- uspace/drv/platform/amdm37x/amdm37x.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/amdm37x.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup amdm37x TI AM/DM37x platform driver.
- * @brief HelenOS TI AM/DM37x platform driver.
+ * @addtogroup amdm37x
  * @{
  */
@@ -424,2 +423,6 @@
 	return EOK;
 }
+
+/**
+ * @}
+ */
Index: uspace/drv/platform/amdm37x/amdm37x.h
===================================================================
--- uspace/drv/platform/amdm37x/amdm37x.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/amdm37x.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrv
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/cm/clock_control.h
===================================================================
--- uspace/drv/platform/amdm37x/cm/clock_control.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/cm/clock_control.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvclockcontrolcm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/cm/core.h
===================================================================
--- uspace/drv/platform/amdm37x/cm/core.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/cm/core.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvcorecm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/cm/iva2.h
===================================================================
--- uspace/drv/platform/amdm37x/cm/iva2.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/cm/iva2.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvcm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/cm/mpu.h
===================================================================
--- uspace/drv/platform/amdm37x/cm/mpu.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/cm/mpu.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvcm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/cm/usbhost.h
===================================================================
--- uspace/drv/platform/amdm37x/cm/usbhost.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/cm/usbhost.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvusbhostcm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/amdm37x/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/amdm37x/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup amdm37x amdm37x
+ * @brief TI AM/DM37x platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/amdm37x/main.c
===================================================================
--- uspace/drv/platform/amdm37x/main.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/main.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup amdm37x TI AM/DM37x platform driver.
- * @brief HelenOS TI AM/DM37x platform driver.
+ * @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/prm/clock_control.h
===================================================================
--- uspace/drv/platform/amdm37x/prm/clock_control.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/prm/clock_control.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvprm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/prm/global_reg.h
===================================================================
--- uspace/drv/platform/amdm37x/prm/global_reg.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/prm/global_reg.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvprm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/prm/usbhost.h
===================================================================
--- uspace/drv/platform/amdm37x/prm/usbhost.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/prm/usbhost.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvprm
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/uhh.h
===================================================================
--- uspace/drv/platform/amdm37x/uhh.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/uhh.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvuhh
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/amdm37x/usbtll.h
===================================================================
--- uspace/drv/platform/amdm37x/usbtll.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/amdm37x/usbtll.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup amdm37xdrvusbtll
+/** @addtogroup amdm37x
  * @{
  */
Index: uspace/drv/platform/icp/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/icp/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/icp/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup icp icp
+ * @brief ARM Inegrator/CP platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/icp/icp.c
===================================================================
--- uspace/drv/platform/icp/icp.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/icp/icp.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup icp IntegratorCP platform driver.
- * @brief HelenOS IntegratorCP platform driver.
+ * @addtogroup icp
  * @{
  */
Index: uspace/drv/platform/mac/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/mac/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/mac/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup mac mac
+ * @brief Platform driver for PowerPC-based Macs
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/mac/mac.c
===================================================================
--- uspace/drv/platform/mac/mac.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/mac/mac.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup mac Mac platform driver.
- * @brief HelenOS Mac platform driver.
+ * @addtogroup mac mac
  * @{
  */
Index: uspace/drv/platform/malta/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/malta/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/malta/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup malta malta
+ * @brief MIPS Malta platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/malta/malta.c
===================================================================
--- uspace/drv/platform/malta/malta.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/malta/malta.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup malta Malta board platform driver.
- * @brief HelenOS Malta board platform driver.
+ * @addtogroup malta
  * @{
  */
Index: uspace/drv/platform/msim/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/msim/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/msim/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup msim msim
+ * @brief Platform driver for the MSIM simulator machine
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/msim/msim.c
===================================================================
--- uspace/drv/platform/msim/msim.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/msim/msim.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup msim MSIM platform driver.
- * @brief HelenOS MSIM platform driver.
+ * @addtogroup msim
  * @{
  */
Index: uspace/drv/platform/pc/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/pc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/pc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup pc pc
+ * @brief PC platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/pc/pc.c
===================================================================
--- uspace/drv/platform/pc/pc.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/pc/pc.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup pc PC platform driver.
- * @brief HelenOS PC platform driver.
+ * @addtogroup pc pc
  * @{
  */
Index: uspace/drv/platform/ski/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/ski/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/ski/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup ski ski
+ * @brief Platform driver for the Ski IA-64 simulator machine
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/ski/ski.c
===================================================================
--- uspace/drv/platform/ski/ski.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/ski/ski.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup ski platform driver.
- * @brief Ski platform driver.
+ * @addtogroup ski ski
  * @{
  */
Index: uspace/drv/platform/sun4u/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/sun4u/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/sun4u/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup sun4u sun4u
+ * @brief Sun sun4u platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/sun4u/sun4u.c
===================================================================
--- uspace/drv/platform/sun4u/sun4u.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/sun4u/sun4u.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup sun4u sun4u platform driver.
- * @brief HelenOS sun4u platform driver.
+ * @addtogroup sun4u sun4u
  * @{
  */
Index: uspace/drv/platform/sun4v/doc/doxygroups.h
===================================================================
--- uspace/drv/platform/sun4v/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/platform/sun4v/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup sun4v sun4v
+ * @brief Sun sun4v platform driver
+ * @ingroup drvs
+ */
Index: uspace/drv/platform/sun4v/sun4v.c
===================================================================
--- uspace/drv/platform/sun4v/sun4v.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/platform/sun4v/sun4v.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup sun4v platform driver.
- * @brief Sun4v platform driver.
+ * @addtogroup sun4v sun4v
  * @{
  */
Index: uspace/drv/root/root/doc/doxygroups.h
===================================================================
--- uspace/drv/root/root/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/root/root/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup root root
+ * @brief Root device driver
+ * @ingroup drvs
+ */
Index: uspace/drv/root/root/root.c
===================================================================
--- uspace/drv/root/root/root.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/root/root/root.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -30,6 +30,5 @@
 
 /**
- * @defgroup root Root device driver.
- * @brief HelenOS root device driver.
+ * @addtogroup root
  * @{
  */
Index: uspace/drv/root/virt/doc/doxygroups.h
===================================================================
--- uspace/drv/root/virt/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/root/virt/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup virt virt
+ * @brief Root device driver for virtual devices
+ * @ingroup drvs
+ */
Index: uspace/drv/root/virt/virt.c
===================================================================
--- uspace/drv/root/virt/virt.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/root/virt/virt.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,5 @@
 
 /**
- * @defgroup virt Root device driver for virtual devices.
+ * @addtogroup virt
  * @{
  */
Index: uspace/drv/time/cmos-rtc/cmos-regs.h
===================================================================
--- uspace/drv/time/cmos-rtc/cmos-regs.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/time/cmos-rtc/cmos-regs.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,4 +27,8 @@
  */
 
+/** @addtogroup cmos-rtc
+ * @{
+ */
+
 #ifndef _CMOS_RTC_H_
 #define _CMOS_RTC_H_
@@ -51,2 +55,6 @@
 #endif
 
+
+/**
+ * @}
+ */
Index: uspace/drv/time/cmos-rtc/cmos-rtc.c
===================================================================
--- uspace/drv/time/cmos-rtc/cmos-rtc.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/drv/time/cmos-rtc/cmos-rtc.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup CMOS RTC driver.
- * @brief HelenOS RTC driver.
+ * @addtogroup cmos-rtc
  * @{
  */
Index: uspace/drv/time/cmos-rtc/doc/doxygroups.h
===================================================================
--- uspace/drv/time/cmos-rtc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/drv/time/cmos-rtc/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup cmos-rtc cmos-rtc
+ * @brief CMOS RTC driver
+ * @ingroup drvs
+ */
Index: uspace/lib/block/doc/doxygroups.h
===================================================================
--- uspace/lib/block/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/block/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libblock libblock
+ * @ingroup libs
+ * @brief Library for working with block devices
+ */
Index: uspace/lib/c/arch/abs32le/include/libarch/faddr.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/libarch/faddr.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/c/arch/abs32le/include/libarch/faddr.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libabs32le
+/** @addtogroup libcabs32le
  * @{
  */
Index: uspace/lib/c/arch/ppc32/include/libarch/config.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/libarch/config.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/c/arch/ppc32/include/libarch/config.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libppc32
+/** @addtogroup libcppc32
  * @{
  */
Index: uspace/lib/c/arch/riscv64/include/libarch/faddr.h
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/faddr.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/c/arch/riscv64/include/libarch/faddr.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libriscv64
+/** @addtogroup libcriscv64
  * @{
  */
Index: uspace/lib/c/doc/doxygroups.h
===================================================================
--- uspace/lib/c/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/c/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,51 @@
+/**
+ * @addtogroup libc libc
+ * @brief HelenOS C library
+ * @ingroup libs
+ */
+
+/**
+ * @addtogroup libcabs32le abs32le
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcamd64 amd64
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcarm32 arm32
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcia32 ia32
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcia64 ia64
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcmips32 mips32
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcppc32 ppc32
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcriscv64 riscv64
+ * @ingroup libc
+ */
+
+/**
+ * @addtogroup libcsparc64 sparc64
+ * @ingroup libc
+ */
+
Index: uspace/lib/c/generic/libc.c
===================================================================
--- uspace/lib/c/generic/libc.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/c/generic/libc.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,12 +27,5 @@
  */
 
-/** @addtogroup lc Libc
- * @brief HelenOS C library
- * @{
- * @}
- */
-
-/** @addtogroup libc generic
- * @ingroup lc
+/** @addtogroup libc
  * @{
  */
Index: uspace/lib/clui/doc/doxygroups.h
===================================================================
--- uspace/lib/clui/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/clui/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libclui libclui
+ * @ingroup libs
+ */
Index: uspace/lib/clui/tinput.c
===================================================================
--- uspace/lib/clui/tinput.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/clui/tinput.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -25,4 +25,8 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libclui
+ * @{
  */
 
@@ -1053,2 +1057,6 @@
 	}
 }
+
+/**
+ * @}
+ */
Index: uspace/lib/dltest/dltest.c
===================================================================
--- uspace/lib/dltest/dltest.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/dltest/dltest.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,4 @@
 
 /** @addtogroup libdltest
- * @brief Dynamic linking test library
  * @{
  */
Index: uspace/lib/dltest/doc/doxygroups.h
===================================================================
--- uspace/lib/dltest/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/dltest/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libdltest libdltest
+ * @brief Dynamic linking test library
+ * @ingroup libs
+ */
Index: uspace/lib/dltest/libdltest.h
===================================================================
--- uspace/lib/dltest/libdltest.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/dltest/libdltest.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,4 @@
 
 /** @addtogroup libdltest
- * @brief Dynamic linking test library
  * @{
  */
Index: uspace/lib/drv/doc/doxygroups.h
===================================================================
--- uspace/lib/drv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/drv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libdrv libdrv
+ * @ingroup libs
+ * @brief Generic device driver support
+ */
Index: uspace/lib/drv/generic/dev_iface.c
===================================================================
--- uspace/lib/drv/generic/dev_iface.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/drv/generic/dev_iface.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup libdrv generic device driver support.
- * @brief HelenOS generic device driver support.
+ * @addtogroup libdrv
  * @{
  */
Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/drv/generic/driver.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup libdrv generic device driver support.
- * @brief HelenOS generic device driver support.
+ * @addtogroup libdrv
  * @{
  */
Index: uspace/lib/drv/generic/interrupt.c
===================================================================
--- uspace/lib/drv/generic/interrupt.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/lib/drv/generic/interrupt.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup libdrv generic device driver support.
- * @brief HelenOS generic device driver support.
+ * @addtogroup libdrv
  * @{
  */
Index: uspace/lib/ext4/doc/doxygroups.h
===================================================================
--- uspace/lib/ext4/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/ext4/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libext4 libext4
+ * @ingroup libs
+ * @brief Library for implementing the ext4 file system and utilities
+ */
Index: uspace/lib/fdisk/doc/doxygroups.h
===================================================================
--- uspace/lib/fdisk/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/fdisk/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libfdisk libfdisk
+ * @ingroup libs
+ */
Index: uspace/lib/fs/doc/doxygroups.h
===================================================================
--- uspace/lib/fs/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/fs/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libfs libfs
+ * @brief Library for implementing file systems
+ * @ingroup libs
+ */
Index: uspace/lib/http/doc/doxygroups.h
===================================================================
--- uspace/lib/http/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/http/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup http libhttp
+ * @ingroup libs
+ */
Index: uspace/lib/ieee80211/doc/doxygroups.h
===================================================================
--- uspace/lib/ieee80211/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/ieee80211/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libieee80211 libieee80211
+ * @ingroup libs
+ */
Index: uspace/lib/label/doc/doxygroups.h
===================================================================
--- uspace/lib/label/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/label/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup liblabel liblabel
+ * @ingroup libs
+ */
Index: uspace/lib/math/doc/doxygroups.h
===================================================================
--- uspace/lib/math/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/math/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,56 @@
+/**
+ * @addtogroup libmath libmath
+ * @ingroup libs
+ */
+
+/**
+ * @addtogroup libmathabs32le abs32le
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathamd64 amd64
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmatharm32 arm32
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathia32 ia32
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathia64 ia64
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathmips32 mips32
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathmips32eb mips32eb
+ * @ingroup libmath
+ */
+
+
+/**
+ * @addtogroup libmathppc32 ppc32
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathriscv64 riscv64
+ * @ingroup libmath
+ */
+
+/**
+ * @addtogroup libmathsparc64 sparc64
+ * @ingroup libmath
+ */
+
Index: uspace/lib/nettl/doc/doxygroups.h
===================================================================
--- uspace/lib/nettl/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/nettl/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libnettl libnettl
+ * @ingroup libs
+ */
Index: uspace/lib/nic/doc/doxygroups.h
===================================================================
--- uspace/lib/nic/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/nic/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libnic libnic
+ * @ingroup libs
+ */
Index: uspace/lib/posix/doc/doxygroups.h
===================================================================
--- uspace/lib/posix/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/posix/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup libposix libposix
+ * @ingroup libs
+ * @brief POSIX emulation library
+ */
Index: uspace/lib/scsi/doc/doxygroups.h
===================================================================
--- uspace/lib/scsi/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/scsi/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libscsi libscsi
+ * @ingroup libs
+ */
Index: uspace/lib/sif/doc/doxygroups.h
===================================================================
--- uspace/lib/sif/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/sif/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libsif libsif
+ * @ingroup libs
+ */
Index: uspace/lib/softfloat/doc/doxygroups.h
===================================================================
--- uspace/lib/softfloat/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/softfloat/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup softfloat libsoftfloat
+ * @ingroup libs
+ * @brief Software emulation of floating point operations
+ */
Index: uspace/lib/softint/doc/doxygroups.h
===================================================================
--- uspace/lib/softint/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/softint/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup softint libsoftint
+ * @ingroup libs
+ * @brief Software emulation of integer operations
+ */
Index: uspace/lib/softrend/doc/doxygroups.h
===================================================================
--- uspace/lib/softrend/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/softrend/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup softrend libsoftrend
+ * @ingroup libs
+ */
Index: uspace/lib/trackmod/doc/doxygroups.h
===================================================================
--- uspace/lib/trackmod/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/trackmod/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup trackmod libtrackmod
+ * @ingroup libs
+ */
Index: uspace/lib/untar/doc/doxygroups.h
===================================================================
--- uspace/lib/untar/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/untar/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup libuntar libuntar
+ * @ingroup libs
+ */
Index: uspace/lib/uri/doc/doxygroups.h
===================================================================
--- uspace/lib/uri/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/lib/uri/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup uri liburi
+ * @ingroup libs
+ */
Index: uspace/srv/audio/hound/doc/doxygroups.h
===================================================================
--- uspace/srv/audio/hound/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/audio/hound/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup audio hound
+ * @ingroup srvs
+ * @brief HelenOS sound server
+ */
Index: uspace/srv/bd/rd/doc/doxygroups.h
===================================================================
--- uspace/srv/bd/rd/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/bd/rd/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup rd rd
+ * @ingroup srvs
+ * @brief RAM disk server
+ */
Index: uspace/srv/bd/vbd/doc/doxygroups.h
===================================================================
--- uspace/srv/bd/vbd/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/bd/vbd/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup vbd vbd
+ * @ingroup srvs
+ * @brief Virtual block device service
+ */
Index: uspace/srv/devman/client_conn.c
===================================================================
--- uspace/srv/devman/client_conn.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/devman/client_conn.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup devman Device manager.
- * @brief HelenOS device manager.
+ * @addtogroup devman
  * @{
  */
Index: uspace/srv/devman/doc/doxygroups.h
===================================================================
--- uspace/srv/devman/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/devman/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup devman devman
+ * @ingroup srvs
+ * @brief Device manager
+ */
Index: uspace/srv/devman/drv_conn.c
===================================================================
--- uspace/srv/devman/drv_conn.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/devman/drv_conn.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup devman Device manager.
- * @brief HelenOS device manager.
+ * @addtogroup devman
  * @{
  */
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/devman/main.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup devman Device manager.
- * @brief HelenOS device manager.
+ * @addtogroup devman
  * @{
  */
Index: uspace/srv/hid/compositor/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/compositor/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/hid/compositor/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup compositor compositor
+ * @ingroup srvs
+ * @brief GUI server
+ */
Index: uspace/srv/hid/console/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/console/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/hid/console/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup console console
+ * @ingroup srvs
+ * @brief Console service
+ */
Index: uspace/srv/hid/input/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/input/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/hid/input/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup input input
+ * @ingroup srvs
+ * @brief Input server
+ */
Index: uspace/srv/hid/input/gsp.h
===================================================================
--- uspace/srv/hid/input/gsp.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/input/gsp.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,9 +28,10 @@
 
 /** @addtogroup inputgen generic
- * @brief	Generic scancode parser.
  * @ingroup  input
  * @{
  */
+
 /** @file
+ * @brief Generic scancode parser
  */
 
Index: uspace/srv/hid/input/layout/ar.c
===================================================================
--- uspace/srv/hid/input/layout/ar.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/input/layout/ar.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,9 @@
 
 /** @addtogroup input
- * @brief Arabic keyboard layout (Based on US QWERTY layout's code).
  * @{
+ */
+
+/** @file
+ * @brief Arabic keyboard layout (Based on US QWERTY layout's code)
  */
 
Index: uspace/srv/hid/input/layout/cz.c
===================================================================
--- uspace/srv/hid/input/layout/cz.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/input/layout/cz.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,9 @@
 
 /** @addtogroup input
- * @brief Czech QWERTZ layout.
  * @{
+ */
+
+/** @file
+ * @brief Czech QWERTZ layout
  */
 
Index: uspace/srv/hid/input/layout/us_dvorak.c
===================================================================
--- uspace/srv/hid/input/layout/us_dvorak.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/input/layout/us_dvorak.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,9 @@
 
 /** @addtogroup input
- * @brief US Dvorak Simplified Keyboard layout.
  * @{
+ */
+
+/** @file
+ * @brief US Dvorak Simplified Keyboard layout
  */
 
Index: uspace/srv/hid/input/layout/us_qwerty.c
===================================================================
--- uspace/srv/hid/input/layout/us_qwerty.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/input/layout/us_qwerty.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,9 @@
 
 /** @addtogroup input
- * @brief US QWERTY layout.
  * @{
+ */
+
+/** @file
+ * @brief US QWERTY layout
  */
 
Index: uspace/srv/hid/output/ctl/serial.c
===================================================================
--- uspace/srv/hid/output/ctl/serial.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/ctl/serial.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup console
+/** @addtogroup output
  * @{
  */
Index: uspace/srv/hid/output/ctl/serial.h
===================================================================
--- uspace/srv/hid/output/ctl/serial.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/ctl/serial.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/output/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/hid/output/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup output output
+ * @ingroup srvs
+ * @brief Output server
+ */
Index: uspace/srv/hid/output/gfx/font-8x16.c
===================================================================
--- uspace/srv/hid/output/gfx/font-8x16.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/gfx/font-8x16.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup output
  * @{
  */
Index: uspace/srv/hid/output/gfx/font-8x16.h
===================================================================
--- uspace/srv/hid/output/gfx/font-8x16.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/gfx/font-8x16.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup output
  * @{
  */
Index: uspace/srv/hid/output/output.c
===================================================================
--- uspace/srv/hid/output/output.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/output.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,4 +27,8 @@
  */
 
+/** @addtogroup output
+ * @{
+ */
+
 #include <errno.h>
 #include <stddef.h>
@@ -493,2 +497,5 @@
 	return 0;
 }
+
+/** @}
+ */
Index: uspace/srv/hid/output/output.h
===================================================================
--- uspace/srv/hid/output/output.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/output.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -25,4 +25,8 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup output
+ * @{
  */
 
@@ -72,2 +76,5 @@
 
 #endif
+
+/** @}
+ */
Index: uspace/srv/hid/output/port/chardev.c
===================================================================
--- uspace/srv/hid/output/port/chardev.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/chardev.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,5 +28,6 @@
  */
 
-/** @file
+/** @addtogropu output
+ * @{
  */
 
Index: uspace/srv/hid/output/port/chardev.h
===================================================================
--- uspace/srv/hid/output/port/chardev.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/chardev.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/port/ega.c
===================================================================
--- uspace/srv/hid/output/port/ega.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/ega.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/port/ega.h
===================================================================
--- uspace/srv/hid/output/port/ega.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/ega.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/port/kfb.c
===================================================================
--- uspace/srv/hid/output/port/kfb.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/kfb.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,5 +29,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/port/kfb.h
===================================================================
--- uspace/srv/hid/output/port/kfb.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/port/kfb.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,9 +27,6 @@
  */
 
-/** @addtogroup fb
- * @ingroup fbs
+/** @addtogroup output
  * @{
- */
-/** @file
  */
 
Index: uspace/srv/hid/output/proto/vt100.c
===================================================================
--- uspace/srv/hid/output/proto/vt100.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/proto/vt100.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/output/proto/vt100.h
===================================================================
--- uspace/srv/hid/output/proto/vt100.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/hid/output/proto/vt100.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,6 @@
  */
 
-/** @file
+/** @addtogroup output
+ * @{
  */
 
Index: uspace/srv/hid/remcons/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/remcons/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/hid/remcons/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup remcons remcons
+ * @ingroup srvs
+ * @brief Remote console service
+ */
Index: uspace/srv/klog/doc/doxygroups.h
===================================================================
--- uspace/srv/klog/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/klog/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,3 @@
+/** @addtogroup klog klog
+ * @ingroup srvs
+ */
Index: uspace/srv/klog/klog.c
===================================================================
--- uspace/srv/klog/klog.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/klog/klog.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
  */
 
-/** @addtogroup klog KLog
- * @brief HelenOS KLog
+/** @addtogroup klog
  * @{
  */
Index: uspace/srv/loader/doc/doxygroups.h
===================================================================
--- uspace/srv/loader/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/loader/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup loader loader
+ * @ingroup srvs
+ * @brief Loads and runs programs from VFS
+ */
Index: uspace/srv/loader/main.c
===================================================================
--- uspace/srv/loader/main.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/loader/main.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,10 +28,8 @@
 
 /** @addtogroup loader
- * @brief Loads and runs programs from VFS.
  * @{
  */
 /**
  * @file
- * @brief Loads and runs programs from VFS.
  *
  * The program loader is a special init binary. Its image is used
Index: uspace/srv/locsrv/category.c
===================================================================
--- uspace/srv/locsrv/category.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/locsrv/category.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup loc
+/** @addtogroup locsrv
  * @{
  */
Index: uspace/srv/locsrv/category.h
===================================================================
--- uspace/srv/locsrv/category.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/locsrv/category.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup loc
+/** @addtogroup locsrv
  * @{
  */
Index: uspace/srv/locsrv/doc/doxygroups.h
===================================================================
--- uspace/srv/locsrv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/locsrv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup locsrv locsrv
+ * @ingroup srvs
+ * @brief Location service
+ */
Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/locsrv/locsrv.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -29,6 +29,5 @@
 
 /**
- * @defgroup loc Location Service.
- * @brief HelenOS location service.
+ * @addtogroup locsrv
  * @{
  */
Index: uspace/srv/locsrv/locsrv.h
===================================================================
--- uspace/srv/locsrv/locsrv.h	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/locsrv/locsrv.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup loc
+/** @addtogroup locsrv
  * @{
  */
Index: uspace/srv/logger/doc/doxygroups.h
===================================================================
--- uspace/srv/logger/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/logger/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup logger logsrv
+ * @ingroup srvs
+ * @brief Logging service
+ */
Index: uspace/srv/logger/main.c
===================================================================
--- uspace/srv/logger/main.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/logger/main.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup logger Logging service.
- * @brief HelenOS logging service.
+ * @addtogroup logger
  * @{
  */
Index: uspace/srv/logger/writer.c
===================================================================
--- uspace/srv/logger/writer.c	(revision 46f7b640162fc033ba543e9e1feba8652b786a1b)
+++ uspace/srv/logger/writer.c	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -28,6 +28,5 @@
 
 /**
- * @defgroup logger Logging service.
- * @brief HelenOS logging service.
+ * @addtogroup logger
  * @{
  */
Index: uspace/srv/net/doc/doxygroups.h
===================================================================
--- uspace/srv/net/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/net/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,55 @@
+/** @addtogroup net Networking services
+ * @ingroup srvs
+ */
+
+/**    @addtogroup udp udp
+ *     @brief UDP service
+ *     @ingroup net
+ */
+
+/**    @addtogroup tcp tcp
+ *     @brief TCP service
+ *     @ingroup net
+ */
+
+/**    @addtogroup slip slip
+ *     @brief SLIP service
+ *     @ingroup net
+ */
+
+
+/**    @addtogroup slip slip
+ *     @brief SLIP service
+ *     @ingroup net
+ */
+
+/**    @addtogroup nconfsrv nconfsrc
+ *     @brief Network configuration service
+ *     @ingroup net
+ */
+
+/**    @addtogroup loopip loopip
+ *     @brief Loopback IP link provider
+ *     @ingroup net
+ */
+
+/**    @addtogroup inetsrv inetsrv
+ *     @brief Internet Protocol service
+ *     @ingroup net
+ */
+
+/**    @addtogroup ethip ethip
+ *     @brief IP over Ethernet service
+ *     @ingroup net
+ */
+
+/**    @addtogroup dhcp dhcp
+ *     @brief DHCP service
+ *     @ingroup net
+ */
+
+/**    @addtogroup dnsres dnsres
+ *     @brief DNS resolution service
+ *     @ingroup net
+ */
+
Index: uspace/srv/ns/doc/doxygroups.h
===================================================================
--- uspace/srv/ns/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/ns/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup ns ns
+ * @ingroup srvs
+ * @brief Naming service
+ */
Index: uspace/srv/taskmon/doc/doxygroups.h
===================================================================
--- uspace/srv/taskmon/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/taskmon/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup taskmon taskmon
+ * @ingroup srvs
+ * @brief Task monitoring service
+ */
Index: uspace/srv/volsrv/doc/doxygroups.h
===================================================================
--- uspace/srv/volsrv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
+++ uspace/srv/volsrv/doc/doxygroups.h	(revision 412241029cdceceae7ccb252914ce4d698abd985)
@@ -0,0 +1,4 @@
+/** @addtogroup volsrv volsrv
+ * @ingroup srvs
+ * @brief Volume service
+ */
